Summary: GPL public key crypto
Name: gnupg
Version: 1.2.4
Release: 3tr
License: GPL
Group: Trustix Official
Source: http://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1: trustix.pub.gpg
Source2: gnupg-index.html
URL: http://www.gnupg.org
Provides: gpg openpgp gnupg
Prereq: zlib, htmlinfo
BuildRequires: texinfo
BuildRequires: openldap-devel
BuildRoot: /var/tmp/%{name}-root

%description
GnuPG is a complete and free replacement for PGP. Because it does not
use IDEA it can be used without any restrictions. GnuPG is in compliance
with the OpenPGP specification (RFC2440).


%package utils
Summary: some utilities to get gpg-keys 
Group: Trustix Official
Requires: gnupg = %{version}-%{release} 
Requires: openldap-libs
Requires: perl

%description utils
Helper utilities for gnuPG to get keys from a keyserver, either with
LDAP or by email.


%prep
%setup -q


%build
[ -n "$LINGUAS" ] && unset LINGUAS

%configure \
    --program-prefix='' \
    --libexecdir="/usr/lib/%{name}" \
    --disable-nls
    
make

cd doc
makeinfo --html --no-split gpg.texi
makeinfo --html --no-split gpgv.texi


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall install-strip libexecdir="$RPM_BUILD_ROOT/usr/lib/%{name}"

install -m755 -d $RPM_BUILD_ROOT/usr/lib/%{name}
install -m644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/%{name}/trustix.pub.gpg
install -m755 -d $RPM_BUILD_ROOT/usr/share/html/%{name}
install -m644 %SOURCE2      $RPM_BUILD_ROOT/usr/share/html/%{name}/
install -m644 doc/gpg.html  $RPM_BUILD_ROOT/usr/share/html/%{name}/
install -m644 doc/gpgv.html $RPM_BUILD_ROOT/usr/share/html/%{name}/


%post
# Dummy gpg-run to create directory if new install... Silly but nessecary.
/usr/bin/gpg >/dev/null </dev/null 2>&1

# Import the TSL-sign-key
/usr/bin/gpg --import /usr/lib/gnupg/trustix.pub.gpg >/dev/null 2>&1 </dev/null

# Need to take care of a leftover during install where HOME == /
if [ -d /.gnupg -a ! -d /root/.gnupg ]; then
   mv /.gnupg /root
fi

# Update the HTML documentation
/usr/sbin/htmlinfo_update.sh


%postun
# Update the HTML documentation
/usr/sbin/htmlinfo_update.sh


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc INSTALL AUTHORS COPYING ChangeLog NEWS README THANKS TODO PROJECTS 
%doc doc/DETAILS doc/FAQ doc/HACKING doc/OpenPGP doc/samplekeys.asc 
%doc doc/faq.html
%attr (0755,root,root) %{_bindir}/gpg
%attr (0755,root,root) %{_bindir}/gpgv
%attr (0755,root,root) %{_bindir}/gpgsplit

%{_mandir}/man1/*
%{_mandir}/man7/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/trustix.pub.gpg
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/options.skel
/usr/share/html/%{name}

%files utils
%defattr(-,root,root)
/usr/lib/%{name}/gpgkeys_ldap
/usr/lib/%{name}/gpgkeys_mailto


%changelog
* Tue Jan 27 2004 Erlend Midttun <erlendbm at trustix dot org> 1.2.4-1tr
- New upstream.

* Wed Nov 26 2003 Erlend Midttun <erlendbm at trustix dot org> 1.2.3-1em
- New upstream.

* Fri Oct 31 2003 Chr. Toldnes <christht at tawie dot org> 1.2.2-6tr
- Backport (new gpg key)

* Sun Sep 28 2003 Chr. Toldnes <christht at tawie dot org> 1.2.2-5tsl
- Port to tawie

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.2-4tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.2-3tr
- Big rebuild

* Mon Jun  2 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.2-2em
- Fixed filelist.

* Wed May 28 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.2-1em
- New upstream.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.1-4em
- Rebuilt against glibc 2.3.2.

* Mon Mar 24 2003 Goetz Bock <bock at trustix dot org> 1.2.1-3bg
- removed locals
- splitted additional key-fetchers into own package
- little specfile cleanups

* Tue Mar 11 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.1-2em
- Cleaned up %doc

* Tue Feb 25 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.1-1em
- New upstream version.

* Mon Jun  3 2002 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version.

* Fri Mar  1 2002 Christian H. Toldnes <christht at trustix dot com>
- gpg-trustix-sign update.
- Package cleanup.

* Tue Jun  5 2001 Erlend Midttun <erlendbm at trustix dot com>
- As pointed out by Bruno Postle, RSA is now supported.

* Thu May 31 2001 Erlend Midttun <erlendbm at trustix dot com>
- Upgraded to 1.0.6 to fix format string bug.

* Wed Dec 20 2000 Oystein Viggen <oysteivi at trustix dot com>
- Import two patches from RH to fix bugs with importing private keys and
  checking detached signatures.

* Fri Oct 27 2000 Erlend Midttun <erlendbm at trustix dot com>
- Some mv error in spec file breaking upgrade.

* Wed Oct 18 2000 Erlend Midttun <erlendbm at trustix dot com>
- Picked up 1.0.4 which fixes a bug with regards to serveral signatures
  in the same file.  Bugtraq.

* Fri Sep 15 2000 Per Ivar Paulsen <perp at trustix dot com>
- Picked up 1.02

* Fri Jun 16 2000 Oystein Viggen <oysteivi at trustix dot com>
- fix a slight bug in adding the public key to the chain
- hack around bogosity with roots homedir being / during install

* Thu May 03 2000 Lars Gaarden <larsg at trustix dot com>
- added the Trustix public signature key

* Sat May 29 1999 Fabio Coatti <cova@ferrara.linux.it>
- Some corrections in French description, thanks to 
  Gal Quri <gqueri@mail.dotcom.fr>  

* Mon May 17 1999 Fabio Coatti <cova@felix.unife.it>
- Added French description, provided by 
  Christophe Labouisse <labouiss@cybercable.fr>

* Thu May 06 1999 Fabio Coatti <cova@felix.unife.it> 
- Upgraded for 0.9.6 (removed gpgm)

* Tue Jan 12 1999 Fabio Coatti <cova@felix.unife.it>
- LINGUAS variable is now unset in configure to ensure that all
  languages will be built. (Thanks to Luca Olivetti <luca@luca.ddns.org>)
 
* Sat Jan 02 1999 Fabio Coatti <cova@felix.unife.it>
- Added pl language file.
- Included g10/pubring.asc in documentation files.

* Sat Dec 19 1998 Fabio Coatti <cova@felix.unife.it>
- Modified the spec file provided by Caskey L. Dickson 
  <caskey-at-technocage.com>
- Now it can be built also by non-root. Installation has to be done as
  root, gpg is suid.
- Added some changes by  Ross Golder <rossigee@bigfoot.com>
- Updates for version 0.4.5 of GnuPG (.mo files)

